跳到正文

发起授权​

GET
/oauth/authorize

面向浏览器的授权端点,用于带 PKCE 的授权码流程。终端用户会先进行交互式登录,再完成授权同意。

参数​

查询参数

response_type*
类型
string
必填
client_id*
类型
string
必填
格式
"uuid"
redirect_uri*

Must exactly match the application's registered redirect URI.

类型
string
必填
格式
"uri"
scope*

Space-separated scopes. Supported values are user.public and user.full.

类型
string
必填
示例"user.full"
state*
类型
string
必填
code_challenge*
类型
string
必填
code_challenge_method

Defaults to S256 when omitted. plain is not accepted.

类型
string
有效值
"S256"
默认
"S256"

响应​

Redirects to the registered redirect URI with code and state query parameters on success.

试验场​

变量
键
值

示例​